Subject: Re: bug#58980: 29.0.50; Mouse wheel scroll twitches up sometimes when I scroll down

From: Po Lu <[email-masked]>
Date: Fri, 04 Nov 2022 19:22:41 +0800

Mickey Petersen <[email-masked]> writes:

> That did indeed seem to fix the issue, but unfortunately it did seem
> to introduce one minor regression:
>
> When you first scroll a window, it now takes two scrolls of my wheel
> to induce one scroll event in Emacs. After that, it works fine, and
> subsequent 'chains' of up or down scrolls work as expected.
> It's again 'reset' if I try to scroll a different, non-active, window;
> then I must scroll twice in a direction to get Emacs to register a
> scroll event.
>
> Could there be an off-by-one error somewhere?

Luckily, what I said earlier isn't it.  Please test again and see if the
problem is fixed now.

Thanks; BTW, please keep the bug tracker copied in by using "Reply to
All" (or its equivalent in your MUA.)